[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.DisplayWidth

Width of the field in characters

## Declaration

Source position: db.pas line 425

`published property TField.DisplayWidth: LongInt read GetDisplayWidth write SetDisplayWidth;`

## Description

DisplayWidth is the width (in characters) that should be used by controls that display the contents of the field (such as in grids or lookup lists). It is initialized to a default value for most fields (e.g. it equals Size for string fields) but can be modified to obtain a more appropriate value for the field's expected content.

## See also

TField.Alignment |  | Alignment for this field
TField.DisplayText |  | Formatted field value

The latest version of this document can be found at lazarus-ccr.sourceforge.net.